# [BETA] Get all signals that match the query parameter criteria. GET https://app.unleash-instance.example.com/api/admin/signals **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Returns a list of all signals that match the query parameter criteria. Reference: https://docs.getunleash.io/api/get-signals ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: admin-api version: 1.0.0 paths: /api/admin/signals: get: operationId: get-signals summary: '[BETA] Get all signals that match the query parameter criteria.' description: >- **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Returns a list of all signals that match the query parameter criteria. tags: - subpackage_operational parameters: - name: from in: query description: The starting date of the creation date range in IS:yyyy-MM-dd format required: false schema: type: string - name: to in: query description: The ending date of the creation date range in IS:yyyy-MM-dd format required: false schema: type: string - name: offset in: query description: >- The number of features to skip when returning a page. By default it is set to 0. required: false schema: type: string default: '0' - name: limit in: query description: >- The number of feature environments to return in a page. By default it is set to 50. The maximum is 1000. required: false schema: type: string default: '50' - name: Authorization in: header description: API key needed to access this API required: true schema: type: string responses: '200': description: '#/components/schemas/signalQueryResponseSchema' content: application/json: schema: $ref: '#/components/schemas/signalQueryResponseSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: application/json: schema: $ref: '#/components/schemas/GetSignalsRequestUnauthorizedError' servers: - url: https://app.unleash-instance.example.com components: schemas: SignalQuerySignalSchemaPayload: type: object properties: {} description: The payload of the signal. title: SignalQuerySignalSchemaPayload SignalQuerySignalSchemaSource: type: string enum: - signal-endpoint description: >- The signal source type. Should be used along with `sourceId` to uniquely identify the resource that created this signal. title: SignalQuerySignalSchemaSource signalQuerySignalSchema: type: object properties: id: type: integer description: >- The signal's ID. Signal IDs are incrementing integers. In other words, a more recently created signal will always have a higher ID than an older one. payload: $ref: '#/components/schemas/SignalQuerySignalSchemaPayload' description: The payload of the signal. createdAt: type: string format: date-time description: The date and time of when the signal was created. source: $ref: '#/components/schemas/SignalQuerySignalSchemaSource' description: >- The signal source type. Should be used along with `sourceId` to uniquely identify the resource that created this signal. sourceId: type: integer description: >- The ID of the source that created this signal. Should be used along with `source` to uniquely identify the resource that created this signal. tokenName: type: - string - 'null' description: The name of the token used to register this signal. sourceName: type: - string - 'null' description: The name of the source that registered this signal. sourceDescription: type: - string - 'null' description: >- A more detailed description of the source that registered this signal. required: - id - createdAt - source - sourceId description: An object describing a signal enriched with source data. title: signalQuerySignalSchema signalQueryResponseSchema: type: object properties: signals: type: array items: $ref: '#/components/schemas/signalQuerySignalSchema' description: The list of signals total: type: integer description: The total count of signals required: - signals - total description: A list of signals that have been registered by the system title: signalQueryResponseSchema GetSignalsRequestUnauthorizedError: type: object properties: id: type: string description: The ID of the error instance name: type: string description: The name of the error kind message: type: string description: A description of what went wrong. title: GetSignalsRequestUnauthorizedError securitySchemes: apiKey: type: apiKey in: header name: Authorization description: API key needed to access this API bearerToken: type: http scheme: bearer description: API key needed to access this API, in Bearer token format ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/signals" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/signals'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/signals" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/signals") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/signals") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/signals', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/signals"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/signals")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```